View Issue Details

IDProjectCategoryView StatusLast Update
0031274LazarusIDEpublic2017-01-30 19:49
ReporterCyraxAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindows OSServer 2008 R2OS Version6.1.7601 (SP1)
Product Version1.7 (SVN)Product Buildr53999 
Target Version1.8Fixed in Version1.8 
Summary0031274: Due to changes in r53987, during debugging session the current execution location isn't highlighted any more.
DescriptionSince r53999, breakpoints and current execution location during debugging session aren't getting their normal highlighting any more.

See Steps To Reproduce and Additional Information fields more info.
Steps To Reproduce1. Create new application project
2. Place a button component upon the form.
3. Double-click on the button component so IDE will create default handler for the button.
4. Define a variable inside the default handler method.
5. Create a assignment clause where you use defined variable.
6. Create a breakpoint on this assignment clause. Observe that line won't be highlighted by default highlight color which are assigned to breakpoints.
7. Run and debug program. Press button.
8. Observe that current execution location isn't highlighted as it normally should be.
Additional InformationRelated bug report http://bugs.freepascal.org/view.php?id=31049
TagsNo tags attached.
Fixed in Revision54032
LazTarget1.8
Widgetset
Attached Files

Activities

Cyrax

2017-01-25 19:43

reporter  

Synedit r53999.png (14,538 bytes)
Synedit r53999.png (14,538 bytes)

Cyrax

2017-01-25 19:43

reporter  

Cyrax

2017-01-25 19:44

reporter   ~0097699

Reverting commits 53987, 53988 and 53989 brings normal situation back.

Martin Friebe

2017-01-29 17:16

manager   ~0097784

Unfortunately I can not reproduce the issue.

Can you attach your editoroptions.xml please?

Did you enable the new markup in the options?
(If enabled, does it go away, if you disable it?)

---------------
Also please compile your IDE (including packages/SynEdit) with -Criot

Then run the IDE with --debug-log=C:\log.txt and reproduce, see if any errors are reported. (Better yet instead of logging, debug your IDE while debugging your project1.)

--------------
Is your System 32 or 64 bit?

Cyrax

2017-01-29 17:57

reporter   ~0097789

Last edited: 2017-01-29 17:59

View 2 revisions

>Is your System 32 or 64 bit?
64 bit but I noticed this bug in 32-bit Lazarus.

----

IDE is built with these options:

-gw2 
-godwarfsets 
-godwarfmethodclassprefix 
-gl 
-gh 
-O- 
-Si- 
-vb
-CX
-XX 
-dHEAPTRC_WINDOW 
-dDBG_WITH_DEBUGGER_DEBUG


Cyrax

2017-01-29 18:02

reporter  

editoroptions.xml (893 bytes)

Martin Friebe

2017-01-29 22:45

manager   ~0097798

please test and close if ok

Cyrax

2017-01-30 19:49

reporter   ~0097826

Thanks, it works now!

Issue History

Date Modified Username Field Change
2017-01-25 19:42 Cyrax New Issue
2017-01-25 19:43 Cyrax File Added: Synedit r53999.png
2017-01-25 19:43 Cyrax File Added: Synedit r53999 without commits 53987 53988 53989.png
2017-01-25 19:44 Cyrax Note Added: 0097699
2017-01-26 12:21 Juha Manninen Assigned To => Martin Friebe
2017-01-26 12:21 Juha Manninen Status new => assigned
2017-01-29 17:16 Martin Friebe LazTarget => -
2017-01-29 17:16 Martin Friebe Note Added: 0097784
2017-01-29 17:16 Martin Friebe Status assigned => feedback
2017-01-29 17:36 Martin Friebe Relationship added related to 0030421
2017-01-29 17:57 Cyrax Note Added: 0097789
2017-01-29 17:57 Cyrax Status feedback => assigned
2017-01-29 17:59 Cyrax Note Edited: 0097789 View Revisions
2017-01-29 18:02 Cyrax File Added: editoroptions.xml
2017-01-29 22:45 Martin Friebe Fixed in Revision => 54032
2017-01-29 22:45 Martin Friebe LazTarget - => 1.8
2017-01-29 22:45 Martin Friebe Widgetset Win32/Win64 =>
2017-01-29 22:45 Martin Friebe Note Added: 0097798
2017-01-29 22:45 Martin Friebe Status assigned => resolved
2017-01-29 22:45 Martin Friebe Fixed in Version => 1.8
2017-01-29 22:45 Martin Friebe Resolution open => fixed
2017-01-29 22:45 Martin Friebe Target Version => 1.8
2017-01-29 22:45 Martin Friebe Relationship deleted related to 0030421
2017-01-30 19:49 Cyrax Note Added: 0097826
2017-01-30 19:49 Cyrax Status resolved => closed